using Gready_Poang.CommandClasses;

namespace Gready_Poang;

public partial class MainPage : ContentPage
{
    private readonly MainPageViewModelCommands _mainPage;

    public MainPage(
        MainPageViewModelCommands mainPage)
    {
        InitializeComponent();
        BindingContext = mainPage;
        _mainPage = mainPage;
    }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        _mainPage.InitMessage();
    }

}
